package com.qmth.qrzk.repository.common.mapper;


import java.util.List;

import org.springframework.stereotype.Component;

import com.qmth.qrzk.repository.service.query.SuffixParams;
import com.qmth.qrzk.repository.user.model.Suffix;


@Component("suffixMapper")
public interface SuffixMapper extends CommonMapper{
	
	public List<Suffix> getAllSuffix();
	
	public List<Suffix> findByName(String suffixName);
	
	public Suffix findById(int id);
	
	public int addSuffix(String suffixName);
	
	public int delSuffix(int id);
	
	public int updateSuffix(Suffix suffix);
	
	public List<Suffix> querySuffix(SuffixParams params);
	
	public int querySuffixCount(SuffixParams params);
}
